Subject: Re: [RFC] genalloc:add an gen_pool_alloc_align func to genalloc

From: Scott Wood <[email-masked]>
Date: Thu, 9 Jul 2015 17:19:32 -0500

On Thu, 2015-07-09 at 15:47 +0800, Zhao Qiang wrote:
> @@ -541,13 +562,14 @@ EXPORT_SYMBOL(gen_pool_first_fit_order_align);
>   * which we can allocate the memory.
>   */
>  unsigned long gen_pool_best_fit(unsigned long *map, unsigned long size,
> -             unsigned long start, unsigned int nr, void *data)
> +                             unsigned long start, unsigned int nr,
> +                             void *data, unsigned long align_mask)
>  {
>       unsigned long start_bit = size;
>       unsigned long len = size + 1;
>       unsigned long index;
>  
> -     index = bitmap_find_next_zero_area(map, size, start, nr, 0);
> +     index = bitmap_find_next_zero_area(map, size, start, nr, align_mask);
>  
>       while (index < size) {
>               int next_bit = find_next_bit(map, size, index + nr);

What about the other call to bitmap_find_next_zero_area()?

-Scott